Last Comment Bug 713133 - Make packager.pm missing file warnings fatal on Thunderbird
: Make packager.pm missing file warnings fatal on Thunderbird
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 21.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on: 515374 550779 694353 713504 714042 716397 717491 721535
Blocks: 835309
  Show dependency treegraph
 
Reported: 2011-12-22 15:33 PST by Siddharth Agarwal [:sid0] (inactive)
Modified: 2013-02-04 10:51 PST (History)
5 users (show)
standard8: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix some warnings and enable it (3.72 KB, patch)
2013-01-28 05:31 PST, Mark Banner (:standard8)
mconley: review+
Details | Diff | Review

Description Siddharth Agarwal [:sid0] (inactive) 2011-12-22 15:33:04 PST
To do this, we need to clean up mail/installer/package-manifest.in, then set MOZ_PKG_FATAL_WARNINGS = 1 before including packager.mk in mail/installer/Makefile.in.
Comment 1 Siddharth Agarwal [:sid0] (inactive) 2011-12-22 15:55:09 PST
So looking at the last successful trunk build, the files that are currently present in package-manifest but are missing are:

All platforms:
bin/libfreebl3.chk 
bin/libsoftokn3.chk 
bin/libsoftokn3.chk 

Mac only:
Daily.app/Contents/Plug-Ins/

Windows only:
bin/Microsoft.VC80.CRT.manifest etc (bug 712960, so not relevant)
bin/components/components.manifest

Linux only:
bin/libmozutils.so

I guess we need to find out why each of them's missing.
Comment 2 Mark Banner (:standard8) 2011-12-23 03:41:13 PST
(In reply to Siddharth Agarwal [:sid0] from comment #1)
> All platforms:
> bin/libfreebl3.chk 
> bin/libsoftokn3.chk 
> bin/libsoftokn3.chk 

We still ship these, but looks like they got moved, see bug 683441.

> Mac only:
> Daily.app/Contents/Plug-Ins/

Not sure.

> Windows only:
> bin/Microsoft.VC80.CRT.manifest etc (bug 712960, so not relevant)

Yep, should be fixed now.

> bin/components/components.manifest

I've actually got a feeling we do ship this and it is needed for omni.jar generation, but that could be interfaces.manifest I'm thinking about.

> Linux only:
> bin/libmozutils.so

Maybe something to do with this: http://mxr.mozilla.org/comm-central/source/mozilla/toolkit/mozapps/installer/packager.mk#89
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2011-12-23 05:15:14 PST
(In reply to Mark Banner (:standard8) from comment #2)
> (In reply to Siddharth Agarwal [:sid0] from comment #1)
> > All platforms:
> > bin/libfreebl3.chk 
> > bin/libsoftokn3.chk 
> > bin/libsoftokn3.chk 
> 
> We still ship these, but looks like they got moved, see bug 683441.
> 
> > Mac only:
> > Daily.app/Contents/Plug-Ins/
> 
> Not sure.

Seems like detritus -- http://hg.mozilla.org/mozilla-central/diff/0bd17bd1cbaf/browser/installer/osx/packages-static#l1.17

> 
> > bin/components/components.manifest
> 
> I've actually got a feeling we do ship this and it is needed for omni.jar
> generation, but that could be interfaces.manifest I'm thinking about.

Yeah, I'm not sure why this doesn't show up on Windows.

> 
> > Linux only:
> > bin/libmozutils.so
> 
> Maybe something to do with this:
> http://mxr.mozilla.org/comm-central/source/mozilla/toolkit/mozapps/installer/
> packager.mk#89

Bug 677501 explains this (it's only a dynamic library in places where jemalloc used to be dynamic).
Comment 4 Mark Banner (:standard8) 2011-12-30 05:59:51 PST
We don't need bug 694371 to fix this bug - afact all of the vc80 file warnings are now gone.
Comment 5 Mark Banner (:standard8) 2013-01-28 05:31:35 PST
Created attachment 707028 [details] [diff] [review]
Fix some warnings and enable it

Ok, I've not been able to get Mac working, so lets just do it for Windows & Linux for now (Bug 835309 will pick up Mac). Those platforms have been green on try server for this patch.

Of the packaging changes:

- mozglue is now included in packaging in the same manner as for Firefox
- jetpack is a lib that never got shipped, or just shouldn't have been in there.
- cloudFileAccounts.js is a module, not a component (modules have a modules/* inclusion)
- dom_power.xpt is a spelling mistake of the components directory
- chardet.xpt is long not-shipped on all platforms, and was in removed-files.in for all but Mac, but really should just be in there once.
Comment 6 Mike Conley (:mconley) - (needinfo me!) 2013-02-01 10:00:18 PST
Comment on attachment 707028 [details] [diff] [review]
Fix some warnings and enable it

Review of attachment 707028 [details] [diff] [review]:
-----------------------------------------------------------------

Hey Mark, this mostly looks good - just one question - see below.

::: mail/installer/package-manifest.in
@@ +76,4 @@
>  #endif
>  #endif
>  @BINPATH@/@DLL_PREFIX@mozalloc@DLL_SUFFIX@
> +#ifdef MOZ_SHARED_MOZGLUE

Why is soundtouch being removed?
Comment 7 Mark Banner (:standard8) 2013-02-01 10:14:28 PST
(In reply to Mike Conley (:mconley) from comment #6)
> Why is soundtouch being removed?

It is now being linked statically as per bug 816576.
Comment 8 Mike Conley (:mconley) - (needinfo me!) 2013-02-01 11:30:22 PST
Comment on attachment 707028 [details] [diff] [review]
Fix some warnings and enable it

Ok, cool - I'm good with this then.
Comment 9 Mark Banner (:standard8) 2013-02-04 10:51:53 PST
I landed this today with a couple of follow-ups on to enable it on Mac and fix bustage on Windows debug:

https://hg.mozilla.org/comm-central/rev/0317bb637a48
https://hg.mozilla.org/comm-central/rev/ca8526c33ec9
https://hg.mozilla.org/comm-central/rev/ee851cfee5b6

Note You need to log in before you can comment on or make changes to this bug.